commit 1982bfa94665fcf02e8ac43adc8de94a296c2b08
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Dec 26 01:19:13 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 9d94ce3515a..1d19e408aff 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251225
+20251226
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 4555f91a300..d75ccf3b2e8 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,10 @@
+2025-12-25  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123185
+	* sem_ch4.adb (Analyze_Overloaded_Selected_Component): Go to the
+	root when the prefix has a class-wide type.
+	* sem_res.adb (Resolve_Selected_Component): Likewise.
+
 2025-12-22  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123060
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index d9a2c657223..a964b5044a3 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2025-12-25  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/specs/class_wide1.ads: New test.
+
 2025-12-23  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:

